2

I tried to install the last update of macOS but it gives me this error, Can anyone help me with that? Note: I have a MacBook Pro Mid 2014

enter image description here

6
  • Do you have FileVault enabled? if so, the first option would be disable and try to get the update. However, there are other alternatives too. – Udhy Feb 7 '20 at 10:36
  • 2
    What's your current system version? IMHO chances are high that you try to upgrade an older system (e.g. 10.13.6 or 10.14.6) with an 10.15.3 updater (which requires at least 10.15.0 (with a combo updater) or 10.15.2 (with the non-combo 10.15.3 updater). – klanomath Feb 7 '20 at 11:08
  • @Udhy I tried that but i still have the same error – Bathant Hegazy Feb 7 '20 at 12:42
  • @klanomath my macOS version is 10.15 Beta – Bathant Hegazy Feb 7 '20 at 12:43
  • Download the full (non-beta) installer from the App Store and install it ;-) – klanomath Feb 7 '20 at 12:45
4

You can't update an alpha or beta macOS with a final updater!

Simply visit the App Store and download the latest macOS installer and install it.

You might have to unenroll from the Beta Program or remove a configuration profile in macOS before you can install the current 10.15.3 (Catalina) successfully.

1

I had same issue and figured out using following steps:

  1. Make sure you have more than 10GB space (8.16GB update size)
  2. Go to App Store and Search for "masOS Catalina"
  3. Click Get, and it will open up the "Software Update" window then click Update Now

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .